apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'com.google.gms.google-services'
//apply plugin: 'com.google.firebase.crashlytics'


android {
    compileSdkVersion 30
   // buildToolsVersion "29.0.3"

    defaultConfig {
        applicationId "es.verdnatura"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 122
        versionName = "8.5.1Beta"
        //versionName = "8.5Beta" //versionCode 121
        //versionName = "8.4"// versionCode 120
        //versionName "8.4.2Beta" versioncode 119
        //versionName "8.4.1Beta"   //versionCode 118: arreglat rocket a Alex i llevat callFunction,strings ok
        //versionName "8.4Beta"   //versionCode 117: return i workerAppTester
        //versionName "8.3"   //versionCode 116: versionCode 116: cambios finales en return, diseño grafico...


        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    buildFeatures {
        viewBinding = true
    }
    dataBinding {
        enabled = true
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}




dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    debugImplementation fileTree(dir: 'libs/debug', include: ['*.jar'])
    releaseImplementation fileTree(dir: 'libs/release', include: ['*.jar'])
    //navigation
    implementation 'androidx.navigation:navigation-fragment-ktx:2.3.5'
    implementation 'androidx.navigation:navigation-ui-ktx:2.3.5'
    implementation("androidx.drawerlayout:drawerlayout:1.1.1")

    // Kotlin  and Android
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.core:core-ktx:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    implementation 'com.google.android.material:material:1.0.0'
    implementation 'com.squareup.retrofit2:retrofit:2.0.2'
    implementation 'com.squareup.retrofit2:converter-gson:2.0.2'
    implementation 'com.squareup.retrofit2:converter-scalars:2.3.0'
    implementation "com.airbnb.android:lottie:$lottieVersion"
    implementation 'androidx.swiperefreshlayout:swiperefreshlayout:1.0.0'

    //preferences
    implementation 'androidx.preference:preference-ktx:1.1.1'

    //Fragments
    implementation("androidx.fragment:fragment-ktx:1.3.6")


    // Architecture components
    implementation "androidx.lifecycle:lifecycle-extensions:$lifecycle"
    implementation "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle"
    implementation "androidx.lifecycle:lifecycle-livedata-ktx:$lifecycle"
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'


    //Koin new resolve
    //kotlin implementation in mavencentral--> jcenter deprecated

    implementation "io.insert-koin:koin-core:$koin"
    implementation "io.insert-koin:koin-android:$koin"
    implementation "io.insert-koin:koin-androidx-scope:$koin"
    implementation "io.insert-koin:koin-androidx-viewmodel:$koin"

    // Koin for DI
    //implementation "org.koin:koin-core:$koin"
    //implementation "org.koin:koin-android:$koin"
    //implementation "org.koin:koin-androidx-scope:$koin"
    //implementation "org.koin:koin-androidx-viewmodel:$koin"


    // Image libraries
    implementation "io.coil-kt:coil:$coil"
    implementation "com.github.bumptech.glide:glide:$glide"
    implementation "com.github.bumptech.glide:okhttp3-integration:$glide"
    kapt "com.github.bumptech.glide:compiler:$glide"

    // Add the Firebase Crashlytics SDK.
    implementation 'com.google.firebase:firebase-analytics:17.5.0'
    //implementation 'com.google.firebase:firebase-crashlytics:17.2.1'

    //search
    implementation 'com.github.mirrajabi:search-dialog:1.1'

    //logs
    implementation 'com.jakewharton.timber:timber:4.7.1'


}
